Skip to main content
GET
/
services
/
core
/
open_api
/
v1
/
booking_sessions
cURL
curl --request GET \
  --url https://partner-api.getoliver.com/services/core/open_api/v1/booking_sessions \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Client-Id: <x-client-id>'
{
  "success": true,
  "data": {
    "page": 123,
    "per_page": 123,
    "total_count": 123,
    "content": [
      {
        "id": "<string>",
        "status": "active",
        "stage": "started",
        "client_type": "new",
        "appointment_id": "<string>",
        "remote_appointment_id": "<string>",
        "referral_source": "<string>",
        "referral_campaign": "<string>",
        "referral_medium": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "last_activity_at": "2023-11-07T05:31:56Z"
      }
    ]
  },
  "message": "<string>"
}

Filtering by Status

Use the status query parameter to filter sessions:
  • active — Session is currently in progress (not expired, no appointment created)
  • completed — Session resulted in a booked appointment
  • abandoned — Session expired without creating an appointment

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Client-Id
string
required

The location id of the practice

Query Parameters

updated_at_start
string<date-time>
required

Start of the date range for filtering sessions by updated_at. ISO 8601 format.

updated_at_end
string<date-time>

End of the date range for filtering sessions by updated_at. If not provided, the current date will be used.

status
enum<string>

Filter sessions by status. 'active' = in progress, 'completed' = resulted in an appointment, 'abandoned' = expired without booking.

Available options:
active,
completed,
abandoned
page
integer
default:0

Page number (0-based)

per_page
integer
default:10

Number of results per page

Response

Booking sessions response

success
boolean
required
data
object
required
message
string